Change log for python-roman package in Ubuntu

19 of 9 results
Published in groovy-release on 2020-07-21
Deleted in groovy-proposed (Reason: moved to Release)
python-roman (2.0.0-5) unstable; urgency=medium

  [ Debian Janitor ]
  * Add missing build dependency on dh addon.
  * Bump debhelper from old 11 to 12.

  [ Sandro Tosi ]
  * Drop python2 support; Closes: #938147

 -- Sandro Tosi <email address hidden>  Fri, 17 Jul 2020 16:47:12 -0400

Available diffs

Superseded in groovy-release on 2020-07-21
Deleted in groovy-proposed on 2020-09-02 (Reason: moved to Release)
python-roman (2.0.0-4) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * d/control: Set Vcs-* to salsa.debian.org
  * d/copyright: Fix Format URL to correct one
  * d/tests: Use AUTOPKGTEST_TMP instead of ADTTMP
  * Convert git repository from git-dpm to gbp layout
  * Use debhelper-compat instead of debian/compat.

  [ Scott Kitterman ]
  * Fix autopkgtest to correctly run for all supported python3 versions when
    there is more than one

 -- Scott Kitterman <email address hidden>  Fri, 20 Mar 2020 22:54:23 -0400
Superseded in groovy-release on 2020-04-29
Published in focal-release on 2019-12-18
Deleted in focal-proposed (Reason: moved to Release)
python-roman (2.0.0-3build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <email address hidden>  Tue, 17 Dec 2019 12:44:11 +0000
Superseded in focal-release on 2019-12-18
Published in eoan-release on 2019-04-18
Obsolete in disco-release on 2020-07-14
Obsolete in cosmic-release on 2020-07-13
Published in bionic-release on 2018-01-31
Deleted in bionic-proposed (Reason: moved to release)
python-roman (2.0.0-3) unstable; urgency=medium

  * Team upload.

  [ Ondřej Nový ]
  * Fixed homepage (https).
  * Fixed VCS URL (https).

  [ Mattia Rizzolo ]
  * d/control:
    + Swap Maintainer with Uploaders, so that DPMT becomes maintainer.
    + Remove now unneeded version restrictions.
    + Remove now unneeded XS-Testsuite field.
    + Bump Standards-Version to 4.1.3, no changes needed.
    + Mark the binaries as Multi-Arch:foreign.  Closes: #887410
    + Set Rules-Requires-Root:no.
  * Bump debhelper compat level to 11.
  * d/rules: Rewrite using the dh sequencer and the pybuild build system.
  * d/watch: Use some subst variables to catch more possible filenames.
  * d/copyright:
    + Use HTTPS in the Format field.
    + Claim some copyright over debian/*.

 -- Mattia Rizzolo <email address hidden>  Mon, 22 Jan 2018 23:58:56 +0100

Available diffs

Superseded in bionic-release on 2018-01-31
Obsolete in artful-release on 2020-07-10
Obsolete in zesty-release on 2018-06-22
Obsolete in yakkety-release on 2018-01-23
Published in xenial-release on 2015-10-25
Deleted in xenial-proposed (Reason: moved to release)
python-roman (2.0.0-2) unstable; urgency=medium

  * Team upload, with maintainer's permission.
  * With this upload, files are no longer installed into pyshared
    (Closes: #802328).

  [ Andrea Colangelo ]
  * debian/pathes/2to3.diff: drop, upstream supports Python 3 natively
    (Closes: #734695).
  * debian/patches/series: update accordingly.
  * debian/control: Bump X-Python3-Version to >= 3.3.

  [ Dmitry Shachnev ]
  * Update debian/watch to use https://pypi.debian.net redirector.
  * Bump Standards-Version to 3.9.6, no changes needed.
  * Add explicit build-dependency on dh-python.

  [ SVN-Git Migration ]
  * Update Vcs fields for git migration.

 -- Dmitry Shachnev <email address hidden>  Wed, 21 Oct 2015 22:35:18 +0300
Superseded in xenial-release on 2015-10-25
Obsolete in wily-release on 2018-01-22
Deleted in wily-proposed on 2018-01-22 (Reason: moved to release)
python-roman (2.0.0-1ubuntu1) wily; urgency=medium

  * Stop installing into /usr/share/pyshared.

 -- Matthias Klose <email address hidden>  Mon, 19 Oct 2015 16:05:58 +0200
Superseded in wily-release on 2015-10-19
Obsolete in vivid-release on 2018-01-18
Obsolete in utopic-release on 2016-11-03
Published in trusty-release on 2014-01-07
Deleted in trusty-proposed (Reason: moved to release)
python-roman (2.0.0-1) unstable; urgency=medium


  * New upstream release.
  * New maintainer. (Closes: #708549)
  * debian/patches/*: refresh.
  * debian/control:
    + add "XS-Testsuite: autopkgtest".
    + bump Standards-Version to 3.9.5.
  * debian/copyright: update to DEP-5.
  * debian/watch: update, upstream now uses .zip files.
  * Convert to dh_python2.

 -- Andrea Colangelo <email address hidden>  Sat, 28 Dec 2013 10:24:33 +0100
Superseded in trusty-release on 2014-01-07
Obsolete in saucy-release on 2015-04-24
Deleted in saucy-proposed on 2015-04-28 (Reason: moved to release)
python-roman (1.4.0-2ubuntu1) saucy; urgency=low

  * Merge with Debian experimental, remaining changes:
    - Use dh_python2 instead of dh_pysupport.
    - Add XS-Testsuite header.

Available diffs

Superseded in saucy-release on 2013-05-21
Obsolete in raring-release on 2015-04-24
python-roman (1.4.0-1ubuntu1) raring; urgency=low

  * Initial Ubuntu release (LP: #1048259).
  * Use dh_python2 instead of dh_pysupport.
  * Add XS-Testsuite header.
 -- Dmitry Shachnev <email address hidden>   Fri, 19 Oct 2012 09:42:29 +0400
19 of 9 results